ApiTimeSeriesEntityAttribute (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTimeSeriesEntityAttribute

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesEntityAttribute

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTimeSeriesEntityAttribute
      extends Object

  A time series entity attribute represents a possible attribute of a time series entity type monitored by the Cloudera Management Services. <p> Available since API v11.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesEntityAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesEntityAttribute` | `description(String description)`
    `ApiTimeSeriesEntityAttribute` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDescription()` Description of the attribute.
    `String` | `getDisplayName()` Display name of the attribute.
    `String` | `getName()` Name of the of the attribute.
    `int` | `hashCode()`
    `Boolean` | `isIsValueCaseSensitive()` Returns whether to treat attribute values as case-sensitive.
    `ApiTimeSeriesEntityAttribute` | `isValueCaseSensitive(Boolean isValueCaseSensitive)`
    `ApiTimeSeriesEntityAttribute` | `name(String name)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIsValueCaseSensitive(Boolean isValueCaseSensitive)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesEntityAttribute

          public ApiTimeSeriesEntityAttribute()

  - ### Method Detail

    - #### name

          public ApiTimeSeriesEntityAttribute name(String name)

    - #### getName

          public String getName()

      Name of the of the attribute. This name uniquely identifies this attribute.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### displayName

          public ApiTimeSeriesEntityAttribute displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Display name of the attribute.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiTimeSeriesEntityAttribute description(String description)

    - #### getDescription

          public String getDescription()

      Description of the attribute.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### isValueCaseSensitive

          public ApiTimeSeriesEntityAttribute isValueCaseSensitive(Boolean isValueCaseSensitive)

    - #### isIsValueCaseSensitive

          public Boolean isIsValueCaseSensitive()

      Returns whether to treat attribute values as case-sensitive. Defaults to false.
      Returns:
        isValueCaseSensitive

    - #### setIsValueCaseSensitive

          public void setIsValueCaseSensitive(Boolean isValueCaseSensitive)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.